Bug 1005549 - vsftpd startup broken in 3.0.2-4 package
Summary: vsftpd startup broken in 3.0.2-4 package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vsftpd
Version: 19
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jiri Skala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-08 09:55 UTC by Bob Farmer
Modified: 2014-11-09 22:36 UTC (History)
3 users (show)

Fixed In Version: vsftpd-3.0.2-5.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-30 00:36:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Bob Farmer 2013-09-08 09:55:38 UTC
With the original vsftpd-3.0.2-3 package of F19, I would do "systemctl enable vsftpd" (as I believe is indicated by the documentation), reboot, and vsftpd comes up at boot, as expected.

With the newly-released vsftpd-3.0.2-4 package, systemd files have changed and it now seems broken.  Now, vsftpd never comes up at boot after doing "systemctl enable vsftpd".  When doing "systemctl status vsftpd" after booting, it appears that it never even tries to start.  If you force it manually with "systemctl start vsftpd", it does successfully start.

Comment 1 Jiri Skala 2013-09-09 14:09:25 UTC
Hi,
thanks for reporting this issue.

Two patches below fixes the issue for me. Could you test + confirm?

The vsftpd.service file is intended to use single instance of vsftpd using default vsftpd.conf.
The vsftpd.target file is intended to control multiple instances (more /etc/vsftpd/*.conf config files).

========= /usr/lib/systemd/system/vsftpd.service ===========
diff --git a/vsftpd.service b/vsftpd.service
--- a/vsftpd.service
+++ b/vsftpd.service
@@ -1,11 +1,10 @@
 [Unit]
 Description=Vsftpd ftp daemon
 After=network.target
-PartOf=vsftpd.target
 
 [Service]
 Type=forking
 ExecStart=/usr/sbin/vsftpd /etc/vsftpd/vsftpd.conf
 
 [Install]
-WantedBy=vsftpd.target
+WantedBy=multi-user.target
===========================================================

========= /usr/lib/systemd/system/vsftpd.target ===========
diff --git a/vsftpd.target b/vsftpd.target
--- a/vsftpd.target
+++ b/vsftpd.target
@@ -1,3 +1,6 @@
 [Unit]
 Description=FTP daemon
-Documentation=man:vsftpd
+Afeter=network.target
+
+[Install]
+WantedBy=multi-user.target
===========================================================

Comment 2 Bob Farmer 2013-09-10 02:54:04 UTC
3.0.2-4 works for me after applying your changes.  (Although I believe you typo'ed "After" as "Afeter", I corrected that when I put in the changes)

Comment 3 Fedora Update System 2013-09-10 07:30:17 UTC
vsftpd-3.0.2-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vsftpd-3.0.2-6.fc20

Comment 4 Fedora Update System 2013-09-10 07:30:26 UTC
vsftpd-3.0.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vsftpd-3.0.2-5.fc19

Comment 5 Fedora Update System 2013-09-10 16:22:57 UTC
Package vsftpd-3.0.2-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vsftpd-3.0.2-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16269/vsftpd-3.0.2-6.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-09-30 00:36:42 UTC
vsftpd-3.0.2-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-09-30 00:44:40 UTC
vsftpd-3.0.2-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.